---
title: "Makes a price the one a product's page features."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › price

`POST /v1/stores/{store}/products/{product}/prices/{price}/highlight`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `price:write`

## Path parameters

- `store` (`highlightPrice.path.store`; string, required) — The store's id.
- `product` (`highlightPrice.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `price` (`highlightPrice.path.price`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`highlightPrice.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prices/<price>/highlight' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prices/<price>/highlight';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/prices/<price>/highlight"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Makes a price the one a product's page features.

#### Example

```json
{
  "in_use": {
    "orders": 0,
    "subscriptions": 0,
    "checkouts": 0,
    "automations": 0,
    "discounts": 0
  },
  "id": "string",
  "product_id": "string",
  "tier_id": "string",
  "currency": "string",
  "exponent": 0,
  "amount": 0,
  "kind": "string",
  "period": {
    "unit": "string",
    "multiplier": 0
  },
  "highlighted": true,
  "title": "string",
  "description": "string",
  "settings": {
    "autorenew": true,
    "renewal_discount": 100,
    "upgrade_multiplier": 1,
    "refund_policy": "string",
    "property1": true,
    "property2": true
  },
  "archived_at": "string",
  "created_at": "string"
}
```

- `in_use` (`highlightPrice.response.200.in_use`; object, required)
  - `orders` (`highlightPrice.response.200.in_use.orders`; number, required)
  - `subscriptions` (`highlightPrice.response.200.in_use.subscriptions`; number, required)
  - `checkouts` (`highlightPrice.response.200.in_use.checkouts`; number, required)
  - `automations` (`highlightPrice.response.200.in_use.automations`; number, required)
  - `discounts` (`highlightPrice.response.200.in_use.discounts`; number, required)
- `id` (`highlightPrice.response.200.id`; string, required)
- `product_id` (`highlightPrice.response.200.product_id`; string, required)
- `tier_id` (`highlightPrice.response.200.tier_id`; string, required)
- `currency` (`highlightPrice.response.200.currency`; string, required)
- `exponent` (`highlightPrice.response.200.exponent`; any of, required)
  - any of: `number`, `null`
- `amount` (`highlightPrice.response.200.amount`; number, required)
- `kind` (`highlightPrice.response.200.kind`; string, required)
- `period` (`highlightPrice.response.200.period`; any of, required)
  - any of: `object`, `null`
- `highlighted` (`highlightPrice.response.200.highlighted`; boolean, required)
- `title` (`highlightPrice.response.200.title`; any of, required)
  - any of: `string`, `null`
- `description` (`highlightPrice.response.200.description`; any of, required)
  - any of: `string`, `null`
- `settings` (`highlightPrice.response.200.settings`; object, required)
  - `autorenew` (`highlightPrice.response.200.settings.autorenew`; boolean, optional) — Recurring only; false stops the renewal, absent renews.
  - `renewal_discount` (`highlightPrice.response.200.settings.renewal_discount`; integer, optional) — Recurring only, a percent off every renewal.
    - min 0; max 100
  - `upgrade_multiplier` (`highlightPrice.response.200.settings.upgrade_multiplier`; number, optional) — One-time only, a factor on the difference paid to move up a tier.
    - min 1; max 10
  - `refund_policy` (`highlightPrice.response.200.settings.refund_policy`; string, optional) — Overrides the product's.
- `archived_at` (`highlightPrice.response.200.archived_at`; any of, required)
  - any of: `string`, `null`
- `created_at` (`highlightPrice.response.200.created_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`highlightPrice.response.default.type`; string, required)
  - format `uri`
- `title` (`highlightPrice.response.default.title`; string, required)
- `status` (`highlightPrice.response.default.status`; integer, required)
- `detail` (`highlightPrice.response.default.detail`; string, required)
- `code` (`highlightPrice.response.default.code`; string, optional)
- `context` (`highlightPrice.response.default.context`; object, optional)
- `reached_core` (`highlightPrice.response.default.reached_core`; boolean, optional)
- `core_answer` (`highlightPrice.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/highlight-price/index.md
